// torque.cmd

// Torque corresponding to tilt, by principle of virtual work.

// Note: read in this file after change_hairy.cmd and force.cmd

calc_tilt_torque := { 
   f_dtilt := 1/1000;  // small shift
   new_tilt := tilt + f_dtilt; change_tilt; 
   energy_hi := total_energy - body[1].pressure*(body[1].volume-body[1].target);
   new_tilt := tilt - 2*f_dtilt; change_tilt; 
   energy_lo := total_energy - body[1].pressure*(body[1].volume-body[1].target);
   tilt_torque := -(energy_hi - energy_lo)/(2*f_dtilt);
   new_tilt := tilt + f_dtilt; change_tilt; 
   printf "tilt_torque: %17.15g\n",tilt_torque;
}

//  Handy command to calculate all the forces
calc_all := { calc_xf; calc_yf; calc_zf; calc_tilt_torque }

